本站消息

站长简介


前每日优鲜python全栈开发工程师,自媒体达人,逗比程序猿,钱少话少特宅,我的公众号:想吃麻辣香锅

  python大神匠心打造,零基础python开发工程师视频教程全套,基础+进阶+项目实战,包含课件和源码

  出租广告位,需要合作请联系站长



+关注
已关注

分类  

暂无分类

标签  

暂无标签

日期归档  

2020-06(17)

2020-07(32)

2020-08(44)

2020-09(61)

2020-10(63)

datascience学习总结02

发布于2021-01-27 17:49     阅读(424)     评论(0)     点赞(30)     收藏(4)


0

1

2

3

4

5



项目场景:

提示:sdatascience数据分析stock项目


问题1描述:

输入命令:python3 nanage.py makemigrations

提示错误:

在这里插入图片描述


原因分析:

首先用pip3 list查看安装list信息,查看Django版本(2.2.13),这个版本本身没问题,但和python环境有冲突。
问题出现在base.py,line36(图片中倒数几行提示)。主要原因是因为improperly configured(MySQLclient 1.3.13 or newer is required;you have …Database.version) django.core.expections.improperly configured:mysqlclient 1.3.13 or newer is required;you have 0.9.3.
需要提升mysqlclient版本。问题出现在base.py,line36,要去到该行源代码,把这行注释掉。


解决方案1:

复制line36报错行前面的路径,在终端中使用vi,粘贴地址,看下文件,找到36行,注释掉。
注释过程中,警告修改只读文件(按照提示输入命令eg:提示加!强制执行)
操作::q!强制退出
退出后输入命令:sudu vi +地址
输入密码
进入文件,添加#注释掉

解决方案2:

直接按照提示提升myclient版本

问题2:

安装tushare
步骤:sudo pip3 install tushare -i 加清华大学安装源地址




0

1

2

3

4

5

6

7

8



所属网站分类: 技术文章 > 博客

作者:精灵

链接:https://www.pythonheidong.com/blog/article/796941/64d2c3c61cddfbc45bdf/

来源:python黑洞网

任何形式的转载都请注明出处,如有侵权 一经发现 必将追究其法律责任

30 0
收藏该文
已收藏

评论内容:(最多支持255个字符)